bugGNU Octave - Bugs: bug #61084, pkg windows missing actxserver...

 
 

bug #61084: pkg windows missing actxserver function

Submitted by:  N Kando <itskando>
Submitted on:  Thu 26 Aug 2021 04:54:56 PM UTC  
 
Category:  Octave Forge Package Severity:  3 - Normal
Priority:  5 - Normal Item Group:  Unexpected Error or Warning
Status:  Need Info Assigned to:  None
Originator Name:  itskando Open/Closed:  Open
Release:  6.3.0 Operating System:  Microsoft Windows

Add a New Comment (Rich Markup)
   

You are not logged in

Please log in, so followups can be emailed to you.

 

Fri 27 Aug 2021 06:46:56 AM UTC, comment #4: 

See also the related note in the readme file that opens at the end of the installation:
https://hg.octave.org/mxe-octave/file/85939dd76f78/installer-files/README.html

> Octave 6.3 is a minor release which mainly fixes bugs and regressions found
> since the release of version 6.2. Nevertheless, some fixes made it necessary to
> break ABI compatibility to Octave 6.2. Re-build any binaries (like .oct or .mex
> files) when updating to this version.

Markus Mützel <mmuetzel>
Project Member
Fri 27 Aug 2021 06:38:27 AM UTC, comment #3: 

Local packages are installed at the same location by default for all version of Octave up to 6.x. That means they are overwritten by a new `pkg install ...`.

Many packages consist of not only .m files but also of compiled binaries (.oct files). Binaries might be incompatible between different versions of Octave.
That means that a package that was installed with one version of Octave might not work when used with a different version of Octave. It will still show up in `pkg list` though.

Starting with Octave 7.x, local packages will be installed with an API prefix by default. That means they will no longer be overwritten by binary incompatible versions and will no longer show up in `pkg list` when they were installed in an incompatible version of Octave.

In this particular case, you could probably use the global version of that package that comes with the Octave installer for Windows. Just uninstall the local package with `pkg uninstall windows` and Octave should start using the global packages that match the respective version of Octave core.

Markus Mützel <mmuetzel>
Project Member
Thu 26 Aug 2021 08:19:53 PM UTC, comment #2: 

Reading your story I suspect that on your system the two different Octave releases invoke the same local windows package. That can happen if you have manually updated the windows package - that doesn't update the global windows package somewhere in the Octave tree, but it rather creates a local one somewhere in your user folder. Just compare the path to the windows package in the picture with other packages.
I'm not sure but I think two different Octave versions with the same major release number (= 6 here) share a local package store and thus the same "locally" installed packages. Normally those Octave's should be binary compatible, but it could be that a windows package built for Octave-6.2.0 won't work with Octave-6.3.0, and vice versa. The result can be that binary modules like the one containing actxserver() built in one silently fail to load in the other Octave.

Does octave-6.2.0 still work with the newly installed windows package?

Philip Nienhuis <philipnienhuis>
Project Member
Thu 26 Aug 2021 05:02:57 PM UTC, comment #1: 

Issue resolved by:

pkg install -forge windows

Is it intentional that:

pkg('load', 'windows')

does not load the actxserver function?

N Kando <itskando>
Thu 26 Aug 2021 04:54:56 PM UTC, original submission:  

See image.

Fine on 6.2.0.
Issue exists on 6.3.0.

(pkg update has been run.)

N Kando <itskando>

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach Files:
   
   
Comment:
   

Attached Files
file #51823:  demo.png added by itskando (104KiB - image/png)

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by mmuetzel (Posted a comment)
  • -email is unavailable- added by itskando (Submitted the item)
  •  

    Do you think this task is very important?
    If so, you can add your encouragement to it.
    This task has 0 encouragements so far.

    Only project members can vote.

     

     

     

    Follow 2 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2021-08-26 philipnienhuis StatusNone => Need Info
    2021-08-26 itskando Attached File- => Added demo.png, #51823

    Back to the top


    Powered by Savane 3.7